<!-- Este es donde se valida el registro de los invitados -->
<?php
$nombre = $_POST['nombre'];
$ape = $_POST['ape'];
$email = $_POST['email'];
$telefono = $_POST['telefono'];
$estado = $_POST['estado'];
$ciudad = $_POST ['ciudad'];
$especialidad = $_POST ['especialidad'];
$hospital = $_POST ['hospital'];



if(!empty ($nombre) || !empty (ape) || !empty ($email) || !empty ($telefono) || !empty ($estado) || !empty ($ciudad)  || !empty ($especialidad) || !empty ($hospital)){
    $server = "localhost";
    $user = "root";
    $pass = "";
    $db = "control_usuario";
    $con = mysqli_connect($server,$user,$pass,$db);

    if (mysqli_connect_error()) {
        die('connect error('.mysqli_connect_errno().')'.msqli_connect_error());    
    }else{
        $select="SELECT telefono from invitados where telefono = ? limit 1";
        $insert= "INSERT INTO invitados (nombre,ape,email,telefono,estado,ciudad,especialidad,hospital) VALUES(?,?,?,?,?,?,?,?)";
        $stmt= $con->prepare($select);
        $stmt-> bind_param("i",$telefono);
        $stmt-> execute();
        $stmt-> bind_result($telefono);
        $stmt-> store_result();
        $rnum= $stmt->num_rows; 
    }

    if ($rnum == 0) {
        $stmt-> close();    
        $stmt= $con->prepare($insert);
        $stmt-> bind_param("ssssssss",$nombre,$ape,$email,$telefono,$estado,$ciudad,$especialidad,$hospital);
        $stmt -> execute();
        echo 'Se a registrado con exito!';
        header("location: login.html");

    }else{
        echo 'Numero de telefono ya registrado, por favoy ingresa otro';
        $stmt -> close();
        $con-> close();
    }
    
}else{
    echo"Todos los campos son obligatorios";
    die();
}


?>